summaryrefslogtreecommitdiffstats
path: root/jjb/scripts/setup_vpp_ubuntu_docker_test.sh
diff options
context:
space:
mode:
authorEd Kern <ejk@cisco.com>2018-02-21 09:55:09 -0700
committerEd Kern <ejk@cisco.com>2018-02-21 09:55:09 -0700
commit0a020d60ba73d0ae68805571f99dbb777759b851 (patch)
tree518cc61bad4fb019ea1227b0cc7dffe04b317bb2 /jjb/scripts/setup_vpp_ubuntu_docker_test.sh
parenta47be3165aaadcd9b72b1d2bc2bd20128a5e944d (diff)
VPP: ASSuME proof pkg lister
Change-Id: Ie4e6289ef024ad0b40734d01d5990c43ff845b52 Signed-off-by: Ed Kern <ejk@cisco.com>
Diffstat (limited to 'jjb/scripts/setup_vpp_ubuntu_docker_test.sh')
-rw-r--r--jjb/scripts/setup_vpp_ubuntu_docker_test.sh11
1 files changed, 6 insertions, 5 deletions
diff --git a/jjb/scripts/setup_vpp_ubuntu_docker_test.sh b/jjb/scripts/setup_vpp_ubuntu_docker_test.sh
index d0140c171..090913966 100644
--- a/jjb/scripts/setup_vpp_ubuntu_docker_test.sh
+++ b/jjb/scripts/setup_vpp_ubuntu_docker_test.sh
@@ -17,13 +17,14 @@ if ! [ -z ${DOCKER_TEST} ] ; then
fi
if [ "${OS_ID}" == "ubuntu" ]; then
- dpkg-query -W -f='${binary:Package}\t${Version}\n'
- pip list
+ dpkg-query -W -f='${binary:Package}\t${Version}\n' || true
+ pip list || true
elif [ "${OS_ID}" == "centos" ]; then
- yum list installed
- pip list
+ yum list installed || true
+ pip list || true
elif [ "${OS_ID}" == "opensuse" ]; then
- pip list
+ yum list installed || true
+ pip list || true
fi
if [ "x${IS_CSIT_VPP_JOB}" == "xTrue" ]; then
(cd dpdk ; apt-get download vpp-dpdk-dkms > /dev/null 2>&1) || true